## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname alsa-ucm-conf-asahi
#global date 20231209
#global commit 334f21ccd388dbe292338b2942950dfeadfb3c83
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Name:           alsa-ucm-asahi
Version:        8%{?commit:^%{date}git%{shortcommit}}
Release:        %autorelease
Summary:        ALSA Use Case Manager configuration (and topologies) for Apple silicon devices
License:        BSD-3-Clause

URL:            https://github.com/AsahiLinux/alsa-ucm-conf-asahi
%if %{defined commit}
Source:         %{url}/archive/%{commit}/%{srcname}-%{commit}.tar.gz
%else
Source:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
%endif

BuildArch:      noarch

Requires:       alsa-ucm >= 1.2.7.2

%description
The ALSA Use Case Manager configuration (and topologies) for Apple silicon devices.

%prep
%if %{defined commit}
%autosetup -n %{srcname}-%{commit}
%else
%autosetup -n %{srcname}-%{version}
%endif

%install
install -dm 755 %{buildroot}%{_datadir}/alsa/ucm2/conf.d/
cp -a ucm2/conf.d/aop_audio/ %{buildroot}%{_datadir}/alsa/ucm2/conf.d/
cp -a ucm2/conf.d/macaudio/ %{buildroot}%{_datadir}/alsa/ucm2/conf.d/

%files
%license LICENSE.asahi
%doc README.asahi
%{_datadir}/alsa/ucm2/conf.d/aop_audio/
%{_datadir}/alsa/ucm2/conf.d/macaudio/

%changelog
## START: Generated by rpmautospec
* Tue Mar 25 2025 Janne Grunau <j@jannau.net> - 8-1
- Update to v8

* Fri Mar 07 2025 Janne Grunau <j@jannau.net> - 7-1
- Update to 7; Fixes: RHBZ#2350309

* Sat Feb 15 2025 Janne Grunau <j@jannau.net> - 6-2
- Install aop_audio files for microphone support

* Fri Feb 14 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 6-1
- Update to 6; Fixes: RHBZ#2345430

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Hector Martin <marcan@fedoraproject.org> - 5-1
- Update to 5

* Sun Dec 10 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 4-2
- Make it easier to build prereleases

* Wed Oct 18 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 4-1
- Update to 4; Fixes: RHBZ#2244770

* Sat Oct 14 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 3-1
- Update to 3; Fixes: RHBZ#2244201

* Wed Sep 20 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2-1
- Update to 2; Fixes: RHBZ#2239838

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 18 2022 Leif Liddy <leif.liddy@gmail.com> - 1-1
- Initial version

## END: Generated by rpmautospec
